import scipy.io
import matplotlib.pyplot as plt
from scipy.fftpack import fft
import numpy as np

def plot_fft(signal, save_filename, time_interval=1.0/4000):
    signalf = fft(signal)
    N = len(signalf)
    xf = np.linspace(0.0, 1.0/(2.0*time_interval), N//2)
    plt.plot(xf, 2.0/N * np.abs(signalf[0:N//2]))
    plt.grid()
    plt.savefig(save_filename)

data = scipy.io.loadmat('signal_with_noise.mat')
plot_fft(data['signal'][0], 'fft_plot.png')
